## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# FormatterToDeprecatedXercesDOM Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment. More...

Inheritance diagram for FormatterToDeprecatedXercesDOM:

[legend]
Collaboration diagram for FormatterToDeprecatedXercesDOM:

[legend]
List of all members.

## Public Member Functions

- FormatterToDeprecatedXercesDOM (DOM_Document_Type &doc, DOM_DocumentFragmentType &docFrag, DOM_ElementType &currentElement)
    Construct a FormatterToDeprecatedXercesDOM instance.
- FormatterToDeprecatedXercesDOM (DOM_Document_Type &doc, DOM_ElementType &currentElement)
    Construct a FormatterToDeprecatedXerces DOM instance.
- FormatterToDeprecatedXercesDOM (DOM_Document_Type &doc)
    Construct a FormatterToDeprecatedXercesDOM instance.
- virtual ~FormatterToDeprecatedXercesDOM ()
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void comment (const XMLCh *const data)
    Called when a Comment is to be constructed.
- virtual void cdata (const XMLCh *const ch, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
    Receive notification of a entityReference.
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()
- DOM_Document_Type getDocument () const
- void setDocument (DOM_Document_Type &theDocument)
- DOM_DocumentFragmentType getDocumentFragment () const
- void setDocumentFragment (DOM_DocumentFragmentType &theDocumentFragment)
- DOM_ElementType getCurrentElement () const
- void setCurrentElement (DOM_ElementType &theElement)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment.

It is provided as assist developers transition away from the deprecated DOM.

Deprecated:
  The Xerces DOM bridge is deprecated.

## Constructor & Destructor Documentation

FormatterToDeprecatedXercesDOM::FormatterToDeprecatedXercesDOM | ( | DOM_Document_Type & | doc,
|  | DOM_DocumentFragmentType & | docFrag,
|  | DOM_ElementType & | currentElement
| ) |

Construct a FormatterToDeprecatedXercesDOM instance.

it will add the DOM nodes to the document fragment.

Deprecated:
  This API is deprecated and is only provided as a transition tool

Parameters:

  doc | document for nodes
  docFrag | document fragment for nodes
  currentElement | current element for nodes

FormatterToDeprecatedXercesDOM::FormatterToDeprecatedXercesDOM | ( | DOM_Document_Type & | doc,
|  | DOM_ElementType & | currentElement
| ) |

Construct a FormatterToDeprecatedXerces DOM instance.

it will add the DOM nodes to the document.

Deprecated:
  This API is deprecated and is only provided as a transition tool

Parameters:

  doc | document for nodes
  elem | current element for nodes

FormatterToDeprecatedXercesDOM::FormatterToDeprecatedXercesDOM | ( | DOM_Document_Type & | doc | ) |

Construct a FormatterToDeprecatedXercesDOM instance.

it will add the DOM nodes to the document.

Deprecated:
  This API is deprecated and is only provided as a transition tool

Parameters:

  doc | document for nodes

virtual FormatterToDeprecatedXercesDOM::~FormatterToDeprecatedXercesDOM | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void FormatterToDeprecatedXercesDOM::cdata | ( | const XMLCh *const | ch,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToDeprecatedXercesDOM::characters | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToDeprecatedXercesDOM::charactersRaw | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToDeprecatedXercesDOM::comment | ( | const XMLCh *const | data | ) | `[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Implements FormatterListener.

virtual void FormatterToDeprecatedXercesDOM::endDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToDeprecatedXercesDOM::endElement | ( | const XMLCh *const | name | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToDeprecatedXercesDOM::entityReference | ( | const XMLCh *const | name | ) | `[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Implements FormatterListener.

DOM_ElementType FormatterToDeprecatedXercesDOM::getCurrentElement | ( |  | ) | const

DOM_Document_Type FormatterToDeprecatedXercesDOM::getDocument | ( |  | ) | const

DOM_DocumentFragmentType FormatterToDeprecatedXercesDOM::getDocumentFragment | ( |  | ) | const

virtual void FormatterToDeprecatedXercesDOM::ignorableWhitespace | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToDeprecatedXercesDOM::processingInstruction | ( | const XMLCh *const | target,
|  | const XMLCh *const | data
| ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToDeprecatedXercesDOM::resetDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

void FormatterToDeprecatedXercesDOM::setCurrentElement | ( | DOM_ElementType & | theElement | ) |

void FormatterToDeprecatedXercesDOM::setDocument | ( | DOM_Document_Type & | theDocument | ) |

void FormatterToDeprecatedXercesDOM::setDocumentFragment | ( | DOM_DocumentFragmentType & | theDocumentFragment | ) |

virtual void FormatterToDeprecatedXercesDOM::setDocumentLocator | ( | const LocatorType *const | locator | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToDeprecatedXercesDOM::startDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToDeprecatedXercesDOM::startElement | ( | const XMLCh *const | name,
|  | AttributeListType & | attrs
| ) | `[virtual]`

| Implements FormatterListener.

The documentation for this class was generated from the following file:

- FormatterToDeprecatedXercesDOM.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.